#{extends 'borderNG.html' /}
<ol class="breadcrumb" style="background-color: #25B396 !important;">
    <li><a href="@{BerandaCtr.index()}">&{'lelang_jadwal.beranda'}</a></li>
    <li class="active">&{'lelang_jadwal.ubah_jdwltender'}</li>
</ol>

<div class="content">
#{alert /}
#{form @devpartner.JadwalDpCtr.ubahJadwalLelang(lelangId), method:'GET', class:'form-inline'}
    <div class="form-group">
        <label class="control-label">&{'lelang_jadwal.pencarian'} </label>
        <input type="text" name="lelangId" class="form-control" placeholder="&{'lelang_jadwal.masukkan_tender'}"/>
        <button class="btn btn-default" type="submit"><i class="fa fa-search"></i></button>
        <span class="help-block"></span>
    </div>
#{/form}

#{if lelang!=null}
    #{form @devpartner.JadwalDpCtr.approveUbahJadwal(lelang.lls_id), method:'POST'}
        <h4>&{'lelang_jadwal.info_tender'}</h4>
        <table class="table table-condensed">
            <tr>
                <td width="150">&{'lelang_jadwal.kd_tender'}</td>
                <td>${lelang.lls_id}</td>
            </tr>
            <tr>
                <td>&{'lelang_jadwal.nm_tender'}</td>
                <td>${lelang.paket.pkt_nama}</td>
            </tr>
            <tr>
                <td>&{'lelang_jadwal.satuan_kerja'}</td>
                <td>${lelang.paket?.namaSatker}</td>
            </tr>
        </table>
        #{if lelang.lls_status.aktif}
            <table class="table table-condensed " id="tblJadwal" style="margin-top:20px;">
                <thead>
                <tr>
                    <th width="5" rowspan="2">&{'lelang_jadwal.no'}</th>
                    <th rowspan="2">&{'lelang_jadwal.tahap'}</th>
                    <th colspan="2">&{'lelang_jadwal.jadwal_ori'}</th>
                    <th colspan="2">&{'lelang_jadwal.jadwal'}</th>
                    <th rowspan="2">&{'lelang_jadwal.keterangan'}</th>
                </tr>
                <tr>
                    <th width="15%">&{'lelang_jadwal.tgl_mulai'}</th>
                    <th width="15%">&{'lelang_jadwal.tgl_selesai'}</th>
                    <th width="15%">&{'lelang_jadwal.tgl_mulai'}</th>
                    <th width="15%">&{'lelang_jadwal.tgl_selesai'}</th>
                </tr>
                </thead>
                <tbody>
                    #{list items:jadwalList, as:'jadwal'}
                        #{set i:jadwal_index - 1 /}
                    <tr>
                        <td>
                        ${jadwal_index}
                        </td>
                        <td>
                            ${jadwal.namaTahap()}
                        </td>
                        <td>${jadwal.dtj_tglawal?.formatDateTime()}</td>
                        <td>${jadwal.dtj_tglakhir?.formatDateTime()}<br/><i class="label label-info">${jadwal.getPeriodAsString()}</i></td>
                        <td>${jadwal.jadwalDraft.dtjd_tglawal?.formatDateTime()}</td>
                        <td>${jadwal.jadwalDraft.dtjd_tglakhir?.formatDateTime()}<br/><i class="label label-info">${jadwal.jadwalDraft.getPeriodAsString()}</i></td>
                        <td>${jadwal.jadwalDraft.dtjd_keterangan}</td>
                    </tr>
                    #{/list}
                </tbody>
            </table>
            #{set 'confirm'} &{'lelang_jadwal.reschedule_approve'}#{/set}
            #{set 'confirm_reject'} &{'lelang_jadwal.reschedule_confirm_reject'}#{/set}
            #{set 'reject'} &{'lelang_jadwal.reschedule_reject'}#{/set}
            #{saveButton confirm: confirm/}
            #{button name:"reject", title: reject, value: '-1', confirm: confirm_reject, iconClass: 'fa-remove', cssClass: 'btn btn-danger btn-sm' /}
            #{backButton action:@BerandaCtr.index() /}
        </div>
        #{/if}
    #{/form}
#{/if}
